Bug 1480683 - Documentation: Need to explicitely note that we don't support installing ceph on OC nodes with only 1 disk.
Documentation: Need to explicitely note that we don't support installing ceph...
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
12.0 (Pike)
Unspecified Unspecified
unspecified Severity unspecified
: ga
: 12.0 (Pike)
Assigned To: Dan Macpherson
RHOS Documentation Team
: ReleaseNotes
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-11 13:29 EDT by Alexander Chuzhoy
Modified: 2017-12-07 11:35 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-07 11:35:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Chuzhoy 2017-08-11 13:29:38 EDT
Documentation: Need to explicitely note that we don't support installing ceph on OC nodes with only 1 disk.

Looking at ceph requirement - we have listed the recommended deployment  here:
https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/11/html/director_installation_and_usage/chap-requirements#sect-Ceph_Storage_Node_Requirements


Previously it was possible to have a deployment with ceph using OC nodes with only 1 disk. Now (OSP12 with ceph-ansible) - it's no longer possible and we should state that.
Comment 1 August Simonelli 2017-09-28 01:03:27 EDT
What happens for upgrades? IE if they are running previous version with ceph on a single-disked overcloud node do they need to add a disk prior to upgrade?
Comment 2 Dan Macpherson 2017-10-11 01:04:14 EDT
Would any customers be using a single disk layout? It's something we've never supported. Plus our docs provide a map that uses at minimum three disks: 1 root, 1 journal, 1 OSD (plus however many additional OSDs).
Comment 3 August Simonelli 2017-10-11 01:19:10 EDT
Agreed. But with a director-based install some folks may have computes with single disk and try to do HCI. Should we just note that they can't do that? They probably aren't anyway, but now I think the installer won't let them ...
Comment 4 Dan Macpherson 2017-10-11 02:02:01 EDT
Yep, a production level HCI setup wouldn't (or at least shouldn't) be using a single disk for HCI. Ideally, it would be a similar setup if you were using standalone Ceph nodes (journals and OSDs separate from root).

I'm currently checking on what we're recommending in terms of co-locating the journals (which according to the ceph-anisble config is the default). In the past we didn't recommend it, but that might have changed. If we still don't recommend it, it might be that customers need at least three. If journal co-location is okay, then it'll just be two.

In any case, one is definitely out.
Comment 6 Dan Macpherson 2017-12-04 21:20:50 EST
Sasha,

Does this fulfill the requirements of what you were after:

https://gitlab.cee.redhat.com/rhci-documentation/docs-Red_Hat_Enterprise_Linux_OpenStack_Platform/commit/8a0bca1417b37d54b64cbac9d0d70ddc834d44fb

Note You need to log in before you can comment on or make changes to this bug.